### Method

# GLib Queue foreach

since: 2.4

#### Declaration [src]

    void
    g_queue_foreach (
      GQueue* queue,
      GFunc func,
      gpointer user_data
    )

#### Description [src]

Calls `func` for each element in the queue passing `user_data` to the function.

It is safe for `func` to remove the element from `queue`, but it must not modify any part of the queue after that element.

Available since: 2.4

#### Parameters

`func`

  Type: `GFunc`

  The function to call for each element’s data.

`user_data`

  Type: `gpointer`

  User data to pass to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.